Method: projects.locations.spaces.applicationTemplates.generateAssessmentReport

Generate Assessment Reports of an application template.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generateAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The application template name in the following format: projects/$project/locations/$location/spaces/$space/applicationTemplates/$applicationTemplate

Request body

The request body contains data with the following structure:

JSON representation
{
  "serviceAccount": string
}
Fields
serviceAccount

string

Optional. The email address of the service account to use for this preview operation.

  • This service account will be used to execute the preview process.
  • The caller must have the 'iam.serviceAccounts.actAs' permission on this service account. Format: projects/{PROJECT}/serviceAccounts/{EMAIL_ADDRESS}

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.